-- Lampovo Project ^ω^ Average Enjoyer

Cutter.onLoad = Utils.overwrittenFunction(Cutter.onLoad, function (self, superFunc, savegame, ...)
    superFunc(self, savegame, ...)
    local spec = self.spec_cutter

    if spec.fruitTypeIndices then
        for _, fruitTypeIndex in ipairs(spec.fruitTypeIndices) do
            local fruitType = g_fruitTypeManager:getFruitTypeNameByIndex(fruitTypeIndex)
            if fruitType == "MAIZE" and spec.strawRatio <= 0.11 then
                spec.strawRatio = 1
            end
        end
    end
end)